List quarantine
BillionSend extension: the inbox’s held messages, newest first, metadata only. Not for inbox-scoped keys.
GET
/inboxes/{inbox_id}/quarantineAutorización
AuthorizationToken Bearer · headerobligatorioA BillionSend API key (bs_…).
Parámetros de ruta
inbox_idstringobligatorioThe inbox ID or its email address, such as support@example.com
Parámetros de consulta
limitintegerPage size, 1-100 (default 20)
mín. 1 · máx. 100
afterstring<uuid>Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.
beforestring<uuid>Cursor: id of the first item of the current page; returns the previous page; same rule as after.
Respuestas
200
Held messages
objectstringobligatorioValores permitidos:
listhas_morebooleanobligatoriodataobject[]obligatorioMostrar propiedadesOcultar propiedades
Array de
objectidstring<uuid>obligatoriothread_idstring<uuid> | nullobligatoriofromstringobligatoriosubjectstring | nullobligatorioreceived_atstringobligatorioquarantine_reasonstringobligatorioValores permitidos:
failed_authunauthenticated_sendernot_allowlistedinjectionphishingvirusunscreenedscreening_capsender_truststringobligatorioValores permitidos:
ownerallowlistedknown_threadexternalunauthenticatedfailedinjection_scoreinteger | nullobligatoriophishing_scoreinteger | nullobligatoriovirus_signaturestring | nullobligatorio401
Missing, malformed, unknown or revoked API key
statusCodenumberobligatorionamestringobligatoriomessagestringobligatorio403
Restricted API key
statusCodenumberobligatorionamestringobligatoriomessagestringobligatorio404
Inbox or cursor not found
statusCodenumberobligatorionamestringobligatoriomessagestringobligatorio422
Validation error
statusCodenumberobligatorionamestringobligatoriomessagestringobligatorio429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumberobligatorionamestringobligatoriomessagestringobligatorio